Subject: Re: [PATCH v2] linux: Signal datapath that unaligned Netlink message can be received

From: Thomas Graf <[email-masked]>
Date: Tue, 17 Dec 2013 19:08:59 +0100

On 12/17/2013 06:49 PM, Jesse Gross wrote:
> I think there's also a potential downgrade issue if we add a new
> feature to the list of capabilities - it won't automatically reset
> since userspace is now using v2 of the netlink protocol. Obviously,
> this isn't an issue yet but it we should make sure that it is
> addressed before there is a release.

>> Defining the NLM_F_REPLACE semantics is non trivial if we want to do
>> more than just update the settings. I will propose this in a follow up
>> patch.
>
> Couldn't userspace just issue an OVS_DP_CMD_SET on start?

Right, that works as well but introduces a small race compared to
NLM_F_REPLACE which would be atomic. I think we can live with that.

I will send a v3 of this patch with dpif-linux changed to issue
OVS_DP_CMD_SET first and fall back to OVS_DP_CMD_NEW if no DP exists.